 

rem The following 4 OIDs are set globally (i.e. not per interface)		
rem see the examples below and changed them for your switch		

rem NOTES !!!
rem "public" is the default SNMP community string and should be changed on every line
rem "10.10.10.10" is the example IP address.  Be sure to change it as well. 


 
rem set the "sFlowRcvrAddress" OID to the IP Address of Scrutinizer (e.g. 10.2.1.101)
rem The IP address of the sFlow collector.
rem If set to 0.0.0.0 not sFlow datagrams will be sent.
rem
rem convert the IP address to hex:
rem Decimal:	10.2.1.101
rem Binary:	00001010|00000010|00000001|01100101
rem Hex:		0a020165  (thank Hewlett Packard for this one)
rem x:0a020165 =  10.2.1.101 !!!
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.4.1.6.1 x:0a020165



rem
rem set the "sFlowRcvrOwner" to scrut 
rem 10.10.10.10 is an example IP address and should be changed on every line
rem 
rem The entity making use of this sFlowRcvrTable entry. The empty
rem string indicates that the entry is currently unclaimed.
rem An entity wishing to claim an sFlowRcvrTable entry must ensure
rem that the entry is unclaimed before trying to claim it.
rem The entry is claimed by setting the owner string. The entry
rem must be claimed before any changes can be made to other sampler
rem objects.
rem In order to avoid a race condition, the entity taking control
rem of the sampler must set both the owner and a value for
rem sFlowRcvrTimeout in the same SNMP set request.
rem When a management entity is finished using the sampler,
rem it should set the value of sFlowRcvrOwner back to unclaimed. 
rem The agent must restore all other entities this row to their
rem default values when the owner is set to unclaimed. It must
rem also free all other resources associated with this 
rem sFlowRcvrTable entry.
rem This mechanism provides no enforcement and relies on the
rem cooperation of management entities in order to ensure that
rem competition for a receiver entry is fairly resolved.
rem 
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.4.1.2.1 s: scrut 



rem
rem set the "sFlowRcvrTimeout" to 100,000,000 (i.e. the maximum value in seconds) 
rem This OID will decrement immediately: 99999991 (i.e. ~27 hours)
rem 
rem The time (in seconds) remaining before the sampler is released
rem and stops sampling. When set, the owner establishes control
rem for the specified period. When read, the remaining time in the
rem interval is returned.
rem A management entity wanting to maintain control of the sampler
rem is responsible for setting a new value before the old one
rem expires.
rem When the interval expires, the agent is responsible for 
rem restoring all other entities in this row to their default 
rem values. It must also free all other resources associated with
rem this sFlowRcvrTable entry.
rem 
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.4.1.3.1 i: 100000000


rem
rem sFlowRcvrPort
rem The destination port for sFlow datagrams
rem 
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.4.1.7.1 i: 2055


rem Now for the per interface settings you set 2 OIDs per interface	
rem The examples below are for the first 24 interfaces of the switch	


rem
rem set the "sFlowFsPacketSamplingRate" on each interface
rem set to 50 (i.e. i:50) at the very end of each entry
rem
rem The statistical sampling rate for packet sampling from this
rem source. 
rem Set to N to sample 1/Nth of the packets in the monitored flows.
rem An agent should choose its own algorithm to introduce variance
rem into the sampling so that exactly every Nth packet is not
rem counted. A sampling rate of 1 counts all packets. A sampling
rem rate of 0 disables sampling.
rem
rem NOTE: A SMAPLING RATE OF 1 PROBABLY WON'T WORK ON YOUR PROCURVE
rem 
rem The agent is permitted to have minimum and maximum allowable
rem values for the sampling rate. A minimum rate lets the agent
rem designer set an upper bound on the overhead associated with
rem sampling, and a maximum rate may be the result of hardware
rem restrictions (such as counter size). In addition not all values
rem between the maximum and minimum may be realizable as the 
rem sampling rate (again because of implementation considerations).
rem When the sampling rate is set the agent is free to adjust the
rem value so that it lies between the maximum and minimum values
rem and has the closest achievable value.
rem When read, the agent must return the actual sampling rate it
rem will be using (after the adjustments previously described). The
rem sampling algorithm must converge so that over time the number
rem of packets sampled approaches 1/Nth of the total number of
rem packets in the monitored flows.
rem
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.1.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.2.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.3.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.4.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.5.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.6.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.7.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.8.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.9.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.10.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.11.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.12.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.13.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.14.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.15.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.16.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.17.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.18.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.19.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.20.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.21.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.22.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.23.1 i: 50
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.4.11.1.3.6.1.2.1.2.2.1.1.24.1 i: 50
rem the above only does the first 24 ports of the switch



rem
rem set the "sFlowFsReceiver" on each interface 
rem set to 1 (i.e. i: 1) at the very end of each entry
rem The SFlowReceiver for this flow sampler.
rem
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.1.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.2.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.3.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.4.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.5.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.6.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.7.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.8.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.9.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.10.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.11.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.12.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.13.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.14.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.15.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.16.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.17.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.18.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.19.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.20.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.21.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.22.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.23.1 i: 1
snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.5.1.3.11.1.3.6.1.2.1.2.2.1.1.24.1 i: 1
rem the above only does the first 24 ports of the switch


rem 
rem don't forget that hploop.bat has to run every few hours to set the OID:
rem snmpset -v1 -c public 10.10.10.10 1.3.6.1.4.1.14706.1.1.4.1.3.1 i: 100000000
rem this is done per switch every few hours else, the sflow will stop being transmitted
rem 